Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.structure
Class ActionNode

    java.lang.Object
      org.apache.slide.structure.ObjectNode
          org.apache.slide.structure.ActionNode

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ActionNode
extends ObjectNode

Action node class. The namespace is used to distinguish actions with the same simple name. Although this class has a `namespace` attribute the equality of two `ActionNode`s can still be determined by comparing their URIs. Therefore this class does not override `equals(Object)` from `ObjectNode`.

Version:
  $Revision: 1.10 $
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.slide.structure.ObjectNode
`ObjectNode.Binding, ObjectNode.BindingList, ObjectNode.ParentBinding, ObjectNode.ParentBindingList`

Field Summary
`static ActionNode` | `ALL`
`static java.lang.String` | `ALL_URI`
`static ActionNode` | `DEFAULT`
`static java.lang.String` | `DEFAULT_URI` generic actions

Fields inherited from class org.apache.slide.structure.ObjectNode
`uri`

Constructor Summary
`ActionNode()` Constructor.
`ActionNode(java.lang.String uri)` Default constructor.
`ActionNode(java.lang.String uri, org.jdom.Namespace namespace)` Create an `ActionNode` with a namespace extracted from the `privilege-namespace` property.
`ActionNode(java.lang.String uri, java.util.Vector children, java.util.Vector links)` Default constructor.
`ActionNode(java.lang.String uuri, java.util.Vector bindings, java.util.Vector parentBindings, java.util.Vector links)`

Method Summary
`static ActionNode` | `getActionNode(java.lang.String actionUri)` Create an `ActionNode` without a namespace.
`static ActionNode` | `getActionNode(java.lang.String actionUri, org.jdom.Namespace namespace)` Create an ActionNode with a namespace.
`org.jdom.Namespace` | `getNamespace()` Get the namespace.

Methods inherited from class org.apache.slide.structure.ObjectNode
`addBinding, addChild, addLink, addParentBinding, cloneObject, copyObject, enumerateBindings, enumerateChildren, enumerateLinks, enumerateParentBindings, equals, getBindingUuri, getChildren, getPath, getUpdatedBindings, getUri, getUuri, hasBinding, hasBinding, hasChild, hasChild, hasChildren, hashCode, hasLinks, hasParentBinding, numberOfParentBindings, removeChild, removeLink, resetUpdatedBindings, setUri, setUuri, toString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_URI

    public static final java.lang.String DEFAULT_URI

  generic actions

  See Also:
    Constant Field Values

### ALL_URI

    public static final java.lang.String ALL_URI

See Also:
  Constant Field Values

### DEFAULT

    public static final ActionNode DEFAULT

### ALL

    public static final ActionNode ALL

Constructor Detail

### ActionNode

    public ActionNode()

  Constructor.

### ActionNode

    public ActionNode(java.lang.String uri)

  Default constructor.

### ActionNode

    public ActionNode(java.lang.String uri,
                      java.util.Vector children,
                      java.util.Vector links)

  Default constructor.

### ActionNode

    public ActionNode(java.lang.String uuri,
                      java.util.Vector bindings,
                      java.util.Vector parentBindings,
                      java.util.Vector links)

### ActionNode

    public ActionNode(java.lang.String uri,
                      org.jdom.Namespace namespace)

  Create an `ActionNode` with a namespace extracted from the `privilege-namespace` property.

Parameters:
  `uri` - The Slide-internal URI of the ActionNode.
  `namespace` - The namespace of the action.

Method Detail

### getActionNode

    public static ActionNode getActionNode(java.lang.String actionUri)

  Create an `ActionNode` without a namespace. If retrieval of the namespace is attempted on the result an exception will be thrown. This method is not required to return a unique instance each time it is invoked.

  Parameters:
    `actionUri` - The URI which uniquely identifies the `ActionNode`.
  Returns:
    An `ActionNode` without a namespace.

### getActionNode

    public static ActionNode getActionNode(java.lang.String actionUri,
                                           org.jdom.Namespace namespace)

  Create an ActionNode with a namespace. This method is not required to return a unique instance each time it is invoked.

  Parameters:
    `namespace` - The namespace of the `ActionNode`.
  Returns:
    An `ActionNode` with a namespace.

### getNamespace

    public org.jdom.Namespace getNamespace()

  Get the namespace. If the `ActionNode` was constructed without a namespace, an exception will be thrown.

  Returns:
    The namespace of the `ActionNode`.
  Throws:
    `java.lang.IllegalStateException` - The `ActionNode` was constructed without a namespace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD